## org.apache.solr.client.solrj.impl
Class HttpClientConfigurer

    java.lang.Object
      org.apache.solr.client.solrj.impl.HttpClientConfigurer

    public class HttpClientConfigurer

extends Object

The default http client configurer. If the behaviour needs to be customized a new HttpCilentConfigurer can be set by calling `HttpClientUtil.setConfigurer(HttpClientConfigurer)`

Constructor Summary
`HttpClientConfigurer()`

Method Summary
`protected void` `configure(org.apache.http.impl.client.DefaultHttpClient httpClient, SolrParams config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpClientConfigurer

    public HttpClientConfigurer()

Method Detail

### configure

    protected void configure(org.apache.http.impl.client.DefaultHttpClient httpClient,
                             SolrParams config)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.